Bug 1317326 - Documenation bug for neutron lbaas with pacemaker for OSP 7 [NEEDINFO]
Documenation bug for neutron lbaas with pacemaker for OSP 7
Status: CLOSED WONTFIX
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-neutron (Show other bugs)
7.0 (Kilo)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 8.0 (Liberty)
Assigned To: Assaf Muller
Toni Freger
: ZStream
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-13 21:09 EDT by Andreas Karis
Modified: 2017-07-14 17:54 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-07-14 17:54:14 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
amuller: needinfo? (akaris)


Attachments (Terms of Use)

  None (edit)
Description Andreas Karis 2016-03-13 21:09:38 EDT
Description of problem:
Documentation for OSP 7 lacks an important step of documentation for activation of neutron leadbalancer agent


Version-Release number of selected component (if applicable):
7.3

How reproducible:
all of the time

Steps to Reproduce:
1. Follow https://access.redhat.com/documentation/en/red-hat-enterprise-linux-openstack-platform/7/networking-guide/chapter-11-configure-load-balancing-as-a-service-lbaas
2. Check that everything is working
3. Restart all controllers

Actual results:
[stack@undercloud heat]$ neutron agent-list
+--------------------------------------+--------------------+------------------------------------+-------+----------------+---------------------------+
| id                                   | agent_type         | host                               | alive | admin_state_up | binary                    |
+--------------------------------------+--------------------+------------------------------------+-------+----------------+---------------------------+
| 1d886b98-e0a4-4a05-bb37-fca9366a8b54 | Metadata agent     | overcloud-controller-0.localdomain | :-)   | True           | neutron-metadata-agent    |
| 397cfc54-bbbd-4aae-86e1-3f6dc8ce41c9 | Loadbalancer agent | overcloud-controller-0.localdomain | xxx   | True           | neutron-lbaas-agent       |
| 556ebe9d-3d55-47a6-ae37-9eb63b9cb4fa | Open vSwitch agent | overcloud-compute-1.localdomain    | :-)   | True           | neutron-openvswitch-agent |
| 65b69fc9-dc0d-4171-96f0-2e8eab18a12b | DHCP agent         | overcloud-controller-0.localdomain | :-)   | True           | neutron-dhcp-agent        |
| 71dd1912-c077-4911-b7db-6da2e49dc9b8 | Open vSwitch agent | overcloud-controller-1.localdomain | :-)   | True           | neutron-openvswitch-agent |
| 8a2ba38c-0cc2-41b0-be42-75013b420b34 | Open vSwitch agent | overcloud-controller-2.localdomain | :-)   | True           | neutron-openvswitch-agent |
| a3a73dcc-2501-4260-bcb8-d768c8f67c42 | L3 agent           | overcloud-controller-2.localdomain | :-)   | True           | neutron-l3-agent          |
| a553a11c-11a9-4bf2-90e8-787e776ffe72 | Loadbalancer agent | overcloud-controller-1.localdomain | xxx   | True           | neutron-lbaas-agent       |
| b217fdb4-878d-4244-9761-10bf12de3149 | Open vSwitch agent | overcloud-compute-0.localdomain    | :-)   | True           | neutron-openvswitch-agent |
| b55f318a-8884-4e9a-a562-75eacf429bc7 | L3 agent           | overcloud-controller-0.localdomain | :-)   | True           | neutron-l3-agent          |
| b9cc7b63-b4e0-4b6a-b47e-0666cc21580c | Open vSwitch agent | overcloud-controller-0.localdomain | :-)   | True           | neutron-openvswitch-agent |
| c0285223-f1ad-4d32-a3ab-c8dcd7a8041c | DHCP agent         | overcloud-controller-2.localdomain | :-)   | True           | neutron-dhcp-agent        |
| c9d9f808-6c34-45ad-a08f-35cd37f692c4 | L3 agent           | overcloud-controller-1.localdomain | :-)   | True           | neutron-l3-agent          |
| d22aa991-53d2-4f61-bc65-261e6cc4cf60 | Loadbalancer agent | overcloud-controller-2.localdomain | xxx   | True           | neutron-lbaas-agent       |
| ddad6810-873f-4025-973e-b260a7a0a0d4 | Metadata agent     | overcloud-controller-1.localdomain | :-)   | True           | neutron-metadata-agent    |
| e3a882eb-c7d6-4418-ac53-564cce625b58 | DHCP agent         | overcloud-controller-1.localdomain | :-)   | True           | neutron-dhcp-agent        |
| ec2dbed5-e1f9-484f-a6be-2327cc5d4037 | Metadata agent     | overcloud-controller-2.localdomain | :-)   | True           | neutron-metadata-agent    |
+--------------------------------------+--------------------+------------------------------------+-------+----------------+---------------------------+


Expected results:
[stack@undercloud heat]$ neutron agent-list
+--------------------------------------+--------------------+------------------------------------+-------+----------------+---------------------------+
| id                                   | agent_type         | host                               | alive | admin_state_up | binary                    |
+--------------------------------------+--------------------+------------------------------------+-------+----------------+---------------------------+
| 1d886b98-e0a4-4a05-bb37-fca9366a8b54 | Metadata agent     | overcloud-controller-0.localdomain | :-)   | True           | neutron-metadata-agent    |
| 397cfc54-bbbd-4aae-86e1-3f6dc8ce41c9 | Loadbalancer agent | overcloud-controller-0.localdomain | :-)   | True           | neutron-lbaas-agent       |
| 556ebe9d-3d55-47a6-ae37-9eb63b9cb4fa | Open vSwitch agent | overcloud-compute-1.localdomain    | :-)   | True           | neutron-openvswitch-agent |
| 65b69fc9-dc0d-4171-96f0-2e8eab18a12b | DHCP agent         | overcloud-controller-0.localdomain | :-)   | True           | neutron-dhcp-agent        |
| 71dd1912-c077-4911-b7db-6da2e49dc9b8 | Open vSwitch agent | overcloud-controller-1.localdomain | :-)   | True           | neutron-openvswitch-agent |
| 8a2ba38c-0cc2-41b0-be42-75013b420b34 | Open vSwitch agent | overcloud-controller-2.localdomain | :-)   | True           | neutron-openvswitch-agent |
| a3a73dcc-2501-4260-bcb8-d768c8f67c42 | L3 agent           | overcloud-controller-2.localdomain | :-)   | True           | neutron-l3-agent          |
| a553a11c-11a9-4bf2-90e8-787e776ffe72 | Loadbalancer agent | overcloud-controller-1.localdomain | :-)   | True           | neutron-lbaas-agent       |
| b217fdb4-878d-4244-9761-10bf12de3149 | Open vSwitch agent | overcloud-compute-0.localdomain    | :-)   | True           | neutron-openvswitch-agent |
| b55f318a-8884-4e9a-a562-75eacf429bc7 | L3 agent           | overcloud-controller-0.localdomain | :-)   | True           | neutron-l3-agent          |
| b9cc7b63-b4e0-4b6a-b47e-0666cc21580c | Open vSwitch agent | overcloud-controller-0.localdomain | :-)   | True           | neutron-openvswitch-agent |
| c0285223-f1ad-4d32-a3ab-c8dcd7a8041c | DHCP agent         | overcloud-controller-2.localdomain | :-)   | True           | neutron-dhcp-agent        |
| c9d9f808-6c34-45ad-a08f-35cd37f692c4 | L3 agent           | overcloud-controller-1.localdomain | :-)   | True           | neutron-l3-agent          |
| d22aa991-53d2-4f61-bc65-261e6cc4cf60 | Loadbalancer agent | overcloud-controller-2.localdomain | :-)   | True           | neutron-lbaas-agent       |
| ddad6810-873f-4025-973e-b260a7a0a0d4 | Metadata agent     | overcloud-controller-1.localdomain | :-)   | True           | neutron-metadata-agent    |
| e3a882eb-c7d6-4418-ac53-564cce625b58 | DHCP agent         | overcloud-controller-1.localdomain | :-)   | True           | neutron-dhcp-agent        |
| ec2dbed5-e1f9-484f-a6be-2327cc5d4037 | Metadata agent     | overcloud-controller-2.localdomain | :-)   | True           | neutron-metadata-agent    |
+--------------------------------------+--------------------+------------------------------------+-------+----------------+---------------------------+


Additional info:
Documentation lacks the following or a similar step:

pcs resource create neutron-lbaas-clone systemd:neutron-lbaas-agent op start interval=0s timeout=200s stop interval=0s timeout=200s monitor interval=60s --clone
Comment 2 Assaf Muller 2016-09-16 15:32:41 EDT
You'll have to excuse my question but why do we need a pcs resource for the lbaas agent? What does it give us?

Note You need to log in before you can comment on or make changes to this bug.